IMPLEMENTATION MODULE FileMode;


PROCEDURE isValid ( mode : FileMode ) : BOOLEAN;
(* Returns TRUE if mode is a valid file access mode, otherwise FALSE. *)

BEGIN (* IsValidMode *)
  IF (mode = FileModeT{})
    OR ((Append IN mode ) AND (Read IN mode))
    OR ((Append IN mode ) AND NOT (Write IN mode))
    OR ((Sync IN mode) AND NOT (Write IN mode))
  THEN
    RETURN FALSE
  ELSE
    RETURN TRUE
  END

 END isValid;

END FileMode.