IMPLEMENTATION MODULE BaseConv;

FROM Transition IMPORT CAPACITYc8;


(*IMPORT StdIO, CardinalIO, CharIO;
(* debug *)

PROCEDURE WriteConvArray ( values : ConvArray );
VAR
  count : CountRange;
BEGIN
  count := values.count;
  CardinalIO.Write (StdIO.out(), count );
  CharIO.Write (StdIO.out(), ":");
  WHILE count # 0 DO   
    count := count - 1;
    CardinalIO.Write (StdIO.out(), values.card8s [count] );
    IF count # 0 THEN CharIO.Write (StdIO.out(), ",") END; 
  END;
  CharIO.WriteStr ( stdOut, "\n" )
END WriteConvArray;
*)


PROCEDURE COUNTca (cArray : ConvArray ) : CARDINAL;
BEGIN
  RETURN cArray.count
END COUNTca;

PROCEDURE CardToConvArray ( source : CARDINAL; base : BaseRange; VAR dest : ConvArray );
VAR
  dcount, maxIndex : CARDINAL;
   
BEGIN
  maxIndex := MaxCapacity;
  dcount := 0; (* lowest sig item in 0th array index *)
  WHILE (source # 0) AND (dcount # MaxCapacity - 1) DO
    dest.card8s [dcount] := source MOD base;
    source := source DIV base;
    dcount := dcount + 1
  END;
  dest.count := dcount; (* count is the actual number of items*)
END CardToConvArray;

(*
PROCEDURE IntToConvArray ( source : INTEGER; base : BaseRange; VAR dest : ConvArray );
VAR  (* this was a trial, but it is not clear how to do this representation,
 so pending a re-think, this is dead code *)
  count : CountRange;
  isNeg, isMin : BOOLEAN;
  maxEntry, power : INTEGER;
BEGIN
  isNeg := source < 0;
  isMin := source = MIN (INTEGER);
   count := 0; (* lowest sig item in 0th array index *)
  IF isMin THEN
    power := 1;
    maxEntry := base - 1;
    WHILE (source > maxEntry) AND (count # MaxCapacity) DO
      dest [count] := maxEntry;
      source := source - power*maxEntry;
      power := power * base;
      count := count + 1;
    END; (*while*)
    IF count # CArrayMax - 1 THEN
      IF source > 0 THEN
        dest [count] :=  source;
        count := count + 1;
      END (*if source *)
    END (* if count *)
  ELSE
    IF isNeg THEN source := - source END;
    WHILE (source # 0) AND (count # MaxCapacity) DO
      dest [count] := source MOD base;
      source := source DIV base;
      count := count + 1
    END; (* while *)
  END; (*if isMin *)
  dest [CArrayMax] := count; (* count is the actual number of items *)
END IntToConvArray;
*)
PROCEDURE LongCardToConvArray ( source : LONGCARD; base : BaseRange; VAR dest : ConvArray );
VAR
  count : CountRange;
  
BEGIN
  count := 0;
  WHILE (source # 0) AND (count # MaxCapacity) DO
    dest.card8s[count] := source MOD base;
    source := source DIV base;
    count := count + 1
  END;
  dest.count := count; (* count is the actual number of items*)
END LongCardToConvArray;

END BaseConv.